Subject: [Emu] Request For Comment for draft-chen-emu-eap-tls-ibs-01

From: "Meiling Chen" <[email-masked]>
Date: Fri, 20 Nov 2020 14:40:23 +0800

Hi all,
Fortunately, that time we have time for discussion of my draft,  We have received some comments at the meeting, and I hope to get more comments in the mailing list.
my draft URL: https://datatracker.ietf.org/doc/draft-chen-emu-eap-tls-ibs/ 
In my draft I propose a method of identity authentication used in EAP-TLS as an extension of the traditional certificate type.
The reason is that certificate-based authentication may not be suitable for restricted environment, and my draft is based on RFC 6507 and RFC 7250.

we focus on describing EAP-TLS1.2 and EAP-TLS1.3 extends raw public key in authentication procedure. the peer can use the private key for signature, and other peer use its' raw public key to verify the signature, if verifed successfully, it indicates that the authentication has passed.

Our next plan is apply to IANA Type code for EAP-TLS-IBS, and defines the key derivation based on EAP-TLS-IBS.

I really need your comments if you are also interested in this draft , and co-authors are welcome.

Thanks,
Meiling.
 
From: internet-drafts
Date: 2020-11-16 09:49
To: Meiling Chen; HAIGUANG Wang; chenmeiling; Li Su; Haiguang Wang
Subject: New Version Notification for draft-chen-emu-eap-tls-ibs-01.txt
 
A new version of I-D, draft-chen-emu-eap-tls-ibs-01.txt
has been successfully submitted by Meiling Chen and posted to the
IETF repository.
 
Name: draft-chen-emu-eap-tls-ibs
Revision: 01
Title: Use Identity as Raw Public Key in EAP-TLS
Document date: 2020-11-16
Group: Individual Submission
Pages: 20
URL:            https://www.ietf.org/archive/id/draft-chen-emu-eap-tls-ibs-01.txt
Status:         https://datatracker.ietf.org/doc/draft-chen-emu-eap-tls-ibs/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-chen-emu-eap-tls-ibs
Htmlized:       https://tools.ietf.org/html/draft-chen-emu-eap-tls-ibs-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-chen-emu-eap-tls-ibs-01
 
Abstract:
   This document specifies the use of identity as a raw public key in
   EAP-TLS both for TLS1.2 and TLS1.3, EAP-TLS for TLS1.2 is defined in
   RFC 5216 and EAP-TLS for TLS1.3 is defined in the draft draft-ietf-
   tls-dtls13.  The protocol procedures of EAP-TLS-IBS will consistent
   with EAP-TLS's interactive process, Identity-based signature will be
   extended to support EAP-TLS's signature algorithms.

 
Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.
 
The IETF Secretariat